Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.utils.model
Class AbstractNode

    java.lang.Object
      org.irisa.genouest.logol.utils.model.AbstractNode

All Implemented Interfaces:
  LogolInterfaceNode

Direct Known Subclasses:
  EndNode, ForkNode, MergeNode, ModelNode, RepeatNode, RuleNode, SpacerNode, StartNode, VariableNode, ViewNode

    public abstract class AbstractNode

extends java.lang.Object
implements LogolInterfaceNode

Base node for the designer. Contains all common methods to manage constraints etc..

Author:
  osallou History: 05/05/09 Fix 1335 add double quotes for morphism 21/09/09 Fix 1415 missing percentage option for cost and distance

Field Summary
`java.util.HashMap<java.lang.String,java.lang.String>` | `terminals`

Constructor Summary
`AbstractNode()`

Method Summary
`void` | `addAttributes(org.w3c.dom.Node modelNode, org.w3c.dom.Node matchNode)`
`boolean` | `doOverlap(org.w3c.dom.Node node)` Check if overlap is set
`java.util.HashMap<java.lang.String,java.lang.String>` | `getTerminals()`
`boolean` | `isShowComments()`
`void` | `setShowComments(boolean showComments)` Add comments to logol generated data or not
`void` | `setTerminals(java.util.HashMap<java.lang.String,java.lang.String> terminals)` Sets the list of predefined terminals

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.irisa.genouest.logol.utils.model.LogolInterfaceNode
`getGlobalInfo, getNodeGrammar, update`

Field Detail

### terminals

    public java.util.HashMap<java.lang.String,java.lang.String> terminals

Constructor Detail

### AbstractNode

    public AbstractNode()

Method Detail

### addAttributes

    public void addAttributes(org.w3c.dom.Node modelNode,
                              org.w3c.dom.Node matchNode)

### getTerminals

    public java.util.HashMap<java.lang.String,java.lang.String> getTerminals()

### setTerminals

    public void setTerminals(java.util.HashMap<java.lang.String,java.lang.String> terminals)

  Description copied from interface: `LogolInterfaceNode`
  Sets the list of predefined terminals

  Specified by:
    `setTerminals` in interface `LogolInterfaceNode`

### doOverlap

    public boolean doOverlap(org.w3c.dom.Node node)

  Description copied from interface: `LogolInterfaceNode`
  Check if overlap is set

  Specified by:
    `doOverlap` in interface `LogolInterfaceNode`
  Returns:
    true is overlap is checked

### isShowComments

    public boolean isShowComments()

### setShowComments

    public void setShowComments(boolean showComments)

  Description copied from interface: `LogolInterfaceNode`
  Add comments to logol generated data or not

  Specified by:
    `setShowComments` in interface `LogolInterfaceNode`
  Parameters:
    `showComments` - True if comments should be set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD